// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import App from './App'
import router from './router'

import './assets/css/reset.css'  // 引入公共样式



import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';

Vue.use(ElementUI);



//全局设置的基本样式
import './assets/css/base.scss'


import moment from 'moment'
// 设置本地时区
moment.locale('zh-cn')
Vue.prototype.$moment = moment


import utils from './utils/utils' // 工具类
Vue.prototype.$utils = utils

import preview from 'vue-photo-preview'
import 'vue-photo-preview/dist/skin.css'
Vue.use(preview)



import 'swiper/dist/css/swiper.min.css' // 轮播
import 'swiper/dist/js/swiper.min'


import vueFilter from './utils/filters'  // 公共filter
for (let key in vueFilter){
  Vue.filter(key,vueFilter[key])
}

Vue.config.productionTip = false

/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  components: { App },
  template: '<App/>'
})
